Skip to main content

macro

GET /macros​

Get all macros Retrieves a list of all macros available in the Foundry world.

Parameters​

NameTypeRequiredSourceDescription
clientIdstring✓queryThe ID of the Foundry client to connect to

Returns​

object - An array of macros with details

Example Request​

GET /macros


POST /macro/:uuid/execute​

Execute a macro by UUID Executes a specific macro in the Foundry world by its UUID.

Parameters​

NameTypeRequiredSourceDescription
clientIdstring✓queryThe ID of the Foundry client to connect to
uuidstring✓paramsUUID of the macro to execute
argsobjectbodyOptional arguments to pass to the macro execution

Returns​

object - Result of the macro execution

Example Request​

POST /macro/:uuid/execute
Content-Type: application/json

{
"args": {
"key": "value"
}
}